View Issue Details

IDProjectCategoryView StatusLast Update
0002836GNUnetconsensus servicepublic2013-12-24 20:55
ReporterChristian GrothoffAssigned ToFlorian Dold 
PriorityurgentSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.0Fixed in Version0.10.0 
Summary0002836: consensus creation fails in DV testcase
DescriptionMar 18 12:52:12-508166 consensus-15124 ERROR Assertion failed at gnunet-service-consensus.c:1118.
Mar 18 12:52:12-508222 consensus-15125 ERROR Assertion failed at gnunet-service-consensus.c:1118.
Mar 18 12:52:12-511131 consensus-api-15118 ERROR error receiving
Mar 18 12:52:12-511176 dv-15118 ERROR Failed to establish DV consensus, will try again later
Steps To Reproducechange "if (1)" to "if (0)" in test_transport_api_dv.c and run the test; wait about 1 minute.
TagsNo tags attached.

Relationships

child of 0001795 confirmed DV is not implemented 

Activities

Christian Grothoff

2013-03-18 12:54

manager   ~0006986

Valgrind also reports ugly things here:

==15498== Invalid read of size 4
==15498== at 0x54C453F: send_connect (mesh_api.c:803)
==15498== by 0x54C4CF7: do_reconnect (mesh_api.c:876)
==15498== by 0x54C4F93: reconnect_cbk (mesh_api.c:945)
==15498== by 0x4E7EA4C: run_ready (scheduler.c:597)
==15498== by 0x4E7F29B: GNUNET_SCHEDULER_run (scheduler.c:786)
==15498== by 0x4E8E2B4: GNUNET_SERVICE_run (service.c:1816)
==15498== by 0x40934C: main (gnunet-service-consensus.c:2372)
==15498== Address 0x7fefff5b0 is just below the stack ptr. To suppress, use: --workaround-gcc296-bugs=yes

Issue History

Date Modified Username Field Change
2013-03-18 12:53 Christian Grothoff New Issue
2013-03-18 12:53 Christian Grothoff Status new => assigned
2013-03-18 12:53 Christian Grothoff Assigned To => Florian Dold
2013-03-18 12:53 Christian Grothoff Relationship added child of 0001795
2013-03-18 12:54 Christian Grothoff Note Added: 0006986
2013-03-18 15:03 Christian Grothoff Target Version => 0.10.1
2013-03-21 02:07 Florian Dold Status assigned => resolved
2013-03-21 02:07 Florian Dold Resolution open => fixed
2013-03-22 09:52 Christian Grothoff Fixed in Version => 0.10.0
2013-03-22 09:52 Christian Grothoff Target Version 0.10.1 => 0.10.0
2013-04-16 13:45 Christian Grothoff Category Consensus service => consensus service
2013-12-24 20:55 Christian Grothoff Status resolved => closed